"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigs = void 0;
const node_process_1 = require("process");
const node_path_1 = require("path");
const fs_js_1 = require("../polyfills/fs.js");
const jsonc_js_1 = require("../polyfills/jsonc.js");
const processCWD = (0, node_process_1.cwd)();
const getConfigs = async (customPath) => {
    const expectedFiles = customPath
        ? [customPath]
        : new Set([
            'poku.config.js',
            'poku.config.cjs',
            '.pokurc.json',
            '.pokurc.jsonc',
        ]);
    for (const file of expectedFiles) {
        const filePath = (0, node_path_1.join)(processCWD, file);
        try {
            if (filePath.endsWith('.js') || filePath.endsWith('.cjs')) {
                return require(`file://${(0, node_path_1.normalize)(filePath)}`);
            }
            const configsFile = await (0, fs_js_1.readFile)(filePath, 'utf-8');
            return jsonc_js_1.JSONC.parse(configsFile);
        }
        catch (_a) { }
    }
    return {};
};
exports.getConfigs = getConfigs;
